Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07822 Color/Palette Trivial Always Dec 16, 2020, 14:29 Dec 17, 2020, 18:46
Tester mgkastra View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10 (64-bit)
Status [?] Confirmed Driver galaxian.cpp
Version 0.226 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 07822: turtles: Turtles has two color PROMS flipped due to a production error
Description Turtles has two color PROMS, 5H and 5J flipped in MAME. Switching these two by renaming each to the other, fixes this issue and the mystery boxes display blue and the background displays as red. I am proposing that 5H is actually 5J and 5J is actually 5H.

Based on the STERN Turtles flyer, the background should be red and mystery boxes blue.
https://flyers.arcade-museum.com/flyers_video/stern/44000402.jpg

All hardware examples I have found of Turtles PCB, including boards I own, all have red backgrounds with blue mystery boxes.
Steps To Reproduce Load Turtles and note the color of the background (blue) and mystery boxes (red). Rename 5H and 5J to each other and load again to note that background is now red and mystery boxes are now blue.
Additional Information Service Bulletin release by STERN. See Upload File

October 28, 1981

Lieberman Music Company
9549 Penn Avenue South
Minneapolis, MN 55431

ATTN: Service Manager

RE: Turtles Color

Due to a problem in production, you have received the new Turtles game with the Color Proms 5H, 5F, on the KT-4108-2 board reversed. These chips were incorrectly labeled so please disregard those labels. This causes the reds and blues on the screen to be reversed. To correct this problem, please switch these two chips.

Sincerely,

STERN ELECTRONICS
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems turtles
Attached Files
jpg file icon STERN_SB_Turtles.jpg (532,823 bytes) Dec 16, 2020, 14:29 Uploaded by mgkastra
STERN Service Bulletin noting mistake in markings
mgkastra
jpg file icon SternTurtlesFlyer.jpg (240,635 bytes) Dec 16, 2020, 14:41 Uploaded by mgkastra
mgkastra
png file icon TurtlesWith5Hand5Jflipped.png (761,887 bytes) Dec 16, 2020, 14:48 Uploaded by mgkastra
Turtles in MAME with 5H and 5J flipped
mgkastra
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.18268
Tafoid
Administrator
Dec 16, 2020, 22:18
PCB/Arcade example video which shows correct colors
User avatar
No.18269
MetalGod
Senior Tester
Dec 16, 2020, 22:38
Tafoid, that only proves that's a pcb with the problem admitted by Stern in the letter.

Maybe MAME should keep the flipped roms version, cause history was also written by this version. But a version with the proms correctly placed should be added IMO.
User avatar
No.18270
Tafoid
Administrator
Dec 16, 2020, 22:48
As near as I can tell, this has been wrong for so long...
It was correct in MAME 0.21 and changed in MAME 0.24 where it seemingly has been like that since.
I have more research to do
User avatar
No.18273
Haze
Senior Tester
Dec 17, 2020, 16:00
edited on: Dec 17, 2020, 16:01
technically neither is 'wrong'

it was shipped in an incorrect configuration. All arcades would end up with the 'incorrect' looking version, the majority of players likely recognize that colour scheme as it was widespread.

Stern admitted they'd made a mistake. Some arcades would take on board that advice and swap the ROMs. Players in those arcades would be exposed to the correct colours.

It therefore existed in both forms, and based on what people have found, the 'fixed' version is far less common (as I doubt most operators cared)

It's basically a 'revision' even if the only difference is the ROMs got swapped around.
User avatar
No.18274
mgkastra
Tester
Dec 17, 2020, 17:51
edited on: Dec 17, 2020, 18:04
Adding to this, all surviving boards I have found and seen on actual hardware has been the red versions. I have only seen Blue on a couple flyers and MAME. This also is true about Turpin and 600.

So Sega Turpin and Konami 600, I have only seen these with red backgrounds.

Example: